package com.dora.service;

import com.dora.entity.WechatNewsArticle;

import java.util.List;

/**
 * 微信消息发送服务接口
 * 
 * @author dora
 * @date 2024/12/01
 */
public interface WeChatMessageService {

    /**
     * 发送文本消息
     */
    boolean sendTextMessage(String openid, String content);

    /**
     * 发送图文消息
     */
    boolean sendNewsMessage(String openid, List<WechatNewsArticle> articles);

    /**
     * 发送图片消息
     */
    boolean sendImageMessage(String openid, String mediaId);

    /**
     * 发送语音消息
     */
    boolean sendVoiceMessage(String openid, String mediaId);

    /**
     * 发送视频消息
     */
    boolean sendVideoMessage(String openid, String mediaId, String thumbMediaId, String title, String description);

    /**
     * 发送音乐消息
     */
    boolean sendMusicMessage(String openid, String title, String description, String musicUrl, String hqMusicUrl, String thumbMediaId);
}
